Crystal::Macros::NumberLiteral -

# class Crystal::Macros::NumberLiteral

- Crystal::Macros::NumberLiteral
- Crystal::Macros::ASTNode
- Reference
- Object

## Overview

Any number literal.

## Defined in:

## Instance Method Summary

- #%(other : NumberLiteral) : NumberLiteral

  Same as `Number#%`

- #&(other : NumberLiteral) : NumberLiteral

  Same as `Number#&`

- #*(other : NumberLiteral) : NumberLiteral

  Same as `Number#*`

- #**(other : NumberLiteral) : NumberLiteral

  Same as `Number#**`

- #+(other : NumberLiteral) : NumberLiteral

  Same as `Number#+`

- #+ : NumberLiteral

  Same as `Number#+`

- #-(other : NumberLiteral) : NumberLiteral

  Same as `Number#-`

- #- : NumberLiteral

  Same as `Number#-`

- #/(other : NumberLiteral) : NumberLiteral

  Same as `Number#/`

- #<(other : NumberLiteral) : BoolLiteral

  Compares this node's value to another node's value.

- #<<(other : NumberLiteral) : NumberLiteral

  Same as `Number#<<`

- #<=(other : NumberLiteral) : BoolLiteral

  Compares this node's value to another node's value.

- #<=>(other : NumberLiteral) : NumberLiteral

  Compares this node's value to another node's value.

- #>(other : NumberLiteral) : BoolLiteral

  Compares this node's value to another node's value.

- #>=(other : NumberLiteral) : BoolLiteral

  Compares this node's value to another node's value.

- #>>(other : NumberLiteral) : NumberLiteral

  Same as `Number#>>`

- #^(other : NumberLiteral) : NumberLiteral

  Same as `Number#^`

- #kind : SymbolLiteral

  The type of the literal: `:i32`, `:u16`, `:f32`, `:f64`, etc.

- #|(other : NumberLiteral) : NumberLiteral

  Same as `Number#|`

- #~ : NumberLiteral

  Same as `Number#~`

### Instance methods inherited from class `Crystal::Macros::ASTNode`

!=(other : ASTNode) : BoolLiteral !=, ==(other : ASTNode) : BoolLiteral ==, class_name : StringLiteral class_name, column_number : StringLiteral | NilLiteral column_number, end_column_number : StringLiteral | NilLiteral end_column_number, end_line_number : StringLiteral | NilLiteral end_line_number, filename : StringLiteral | NilLiteral filename, id : MacroId id, line_number : StringLiteral | NilLiteral line_number, raise(message) : NoReturn raise, stringify : StringLiteral stringify, symbolize : SymbolLiteral symbolize

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Instance Method Detail

def %(other : NumberLiteral) : NumberLiteral #

Same as `Number#%`

def &(other : NumberLiteral) : NumberLiteral #

Same as `Number#&`

def *(other : NumberLiteral) : NumberLiteral #

Same as `Number#*`

def **(other : NumberLiteral) : NumberLiteral #

Same as `Number#**`

def +(other : NumberLiteral) : NumberLiteral #

Same as `Number#+`

def + : NumberLiteral #

Same as `Number#+`

def -(other : NumberLiteral) : NumberLiteral #

Same as `Number#-`

def - : NumberLiteral #

Same as `Number#-`

def /(other : NumberLiteral) : NumberLiteral #

Same as `Number#/`

def <(other : NumberLiteral) : BoolLiteral #

Compares this node's value to another node's value.

def <<(other : NumberLiteral) : NumberLiteral #

Same as `Number#<<`

def <=(other : NumberLiteral) : BoolLiteral #

Compares this node's value to another node's value.

def <=>(other : NumberLiteral) : NumberLiteral #

Compares this node's value to another node's value.

def >(other : NumberLiteral) : BoolLiteral #

Compares this node's value to another node's value.

def >=(other : NumberLiteral) : BoolLiteral #

Compares this node's value to another node's value.

def >>(other : NumberLiteral) : NumberLiteral #

Same as `Number#>>`

def ^(other : NumberLiteral) : NumberLiteral #

Same as `Number#^`

def kind : SymbolLiteral #

The type of the literal: `:i32`, `:u16`, `:f32`, `:f64`, etc.

def |(other : NumberLiteral) : NumberLiteral #

Same as `Number#|`

def ~ : NumberLiteral #

Same as `Number#~`